# TODO, sometime, maybe:
# - libcaca: http://sam.zoy.org/projects/libcaca/
# - libstk:  http://www.libstk.org/

%define		beta	rc6a
%define		libname	libxine1

%define		libwin32 %{_libdir}/win32

Summary: 	Xine library
Name: 		xine-lib
Version: 	1.0.0
Release: 	0.lvn.0.31.%{beta}.2
Epoch:		0
License: 	GPL
Group:		System Environment/Libraries
URL: 		http://xinehq.de/
Source0: 	http://download.sourceforge.net/xine/%{name}-1-%{beta}.tar.gz
Patch0:		%{name}-dxropts.patch
Patch1:		%{name}-configure-no-mcpu-march.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	zlib-devel XFree86-devel pkgconfig libogg-devel 
BuildRequires:	libvorbis-devel libmng-devel libjpeg-devel libpng-devel
BuildRequires:	esound-devel SDL-devel speex-devel ffmpeg-devel
BuildRequires:	flac-devel gnome-vfs2-devel arts-devel
BuildRequires:	xvidcore-devel libmodplug-devel alsa-lib-devel >= 0.9.0
BuildRequires:	%{_libdir}/libGL.so.1 %{_libdir}/libGLU.so.1 glut-devel
BuildRequires:	libcdio-devel vcdimager-devel >= 0:0.7.20-0.lvn.4

%{?_with_directfb:BuildRequires:	directfb-devel}
%{!?_without_aalib:BuildRequires:	aalib-devel >= 0:1.4}

%{!?_without_theora:BuildRequires:	libtheora-devel}

%{?_with_fame:BuildRequires:		libfame-devel}
%{?_with_rte:BuildRequires:		rte-devel}

BuildRequires:	/usr/bin/automake-1.6
BuildRequires:	libtool >= 0:1.4.0 

%package devel
Summary:	Xine library development files.
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pkgconfig zlib-devel XFree86-devel

# --------------------------------------------------------------------

%description
This package contains Xine library. Xine is a free multimedia
player. It plays back CDs, DVDs, and VCDs. It also decodes multimedia
files like AVI, MOV, WMV, and MP3 from local disk drives, and displays
multimedia streamed over the Internet. It interprets many of the most
common multimedia formats available - and some of the most uncommon
formats, too.  Custom, non-default rpmbuild options:
--without: aalib theora
--with: directfb fame rte

%description devel
This package contains development files for the xine-lib.

# --------------------------------------------------------------------

%prep
%setup -q -n %{name}-1-%{beta}
%patch0 -p0 -b .dxropts
%patch1 -p0 -b .nomcpu
libtoolize --force
aclocal-1.6 -I m4
automake-1.6 --gnu
autoconf

# --------------------------------------------------------------------

%build
export SED=%{__sed}
which libpng-config &>/dev/null || \
  export LIBPNG_CONFIG="%{_bindir}/pkg-config libpng12"
%configure --enable-static --disable-dependency-tracking \
	%{!?_with_fame:--disable-libfame} %{!?_with_rte:--disable-rte} \
	--enable-ipv6 --with-w32-path=%{libwin32} \
	--with-external-ffmpeg=%{_prefix}
make %{?_smp_mflags}

# --------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT __docs
export SED=%{__sed}
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{libname}
cp -pR $RPM_BUILD_ROOT%{_docdir}/xine __docs
rm -rf $RPM_BUILD_ROOT%{_docdir}/xine

# Removing useless files
rm -Rf $RPM_BUILD_ROOT%{_libdir}/xine/plugins/*/*.a \
	$RPM_BUILD_ROOT%{_libdir}/xine/plugins/*/*/*.a \
	$RPM_BUILD_ROOT%{_libdir}/libxine.la \
	__docs/README __docs/README.{freebsd,irix,solaris}

# Directory for win32 dlls
mkdir -p $RPM_BUILD_ROOT%{libwin32}

# --------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{libname}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog README TODO __docs/README.* __docs/faq
%dir %{libwin32}
%{_libdir}/libxine.so.*
%{_libdir}/xine
%{_datadir}/xine

%files devel
%defattr(-,root,root,-)
%doc __docs/hackersguide/*
%{_libdir}/libxine.so
%{_libdir}/libxine.a
%{_includedir}/xine.h
%{_includedir}/xine/
%{_bindir}/xine-config
%{_mandir}/man1/xine-config.1*
%{_datadir}/aclocal/xine.m4
%{_libdir}/pkgconfig/libxine.pc

# --------------------------------------------------------------------

%changelog
* Wed Sep 29 2004 Ville Skyttä <ville.skytta at iki.fi> 0:1.0.0-0.lvn.0.31.rc6a
- Use external libvcdinfo/libcdio.

* Thu Sep 23 2004 Ville Skyttä <ville.skytta at iki.fi> 0:1.0.0-0.lvn.0.30.rc6a
- Update to 1rc6a.
- Build with external ffmpeg.
- Make ALSA support unconditional.
- Disable dependency tracking to speed up the build.
- Include more docs.

* Sat Jul 17 2004 Ville Skyttä <ville.skytta at iki.fi> 0:1.0.0-0.lvn.0.30.rc5
- Build with theora by default, use "--without theora" to disable.
- Make GLUT support unconditional.
- Include modplug support.
- Conditionalize libFAME and RTE support and default both off.  They're
  used only with DXR3, and even with it, Xine's internal libavcodec is
  strongly recommended.  Use "--with fame" and/or "--with rte" to enable
  if you really want them.

* Tue Jul  6 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.29.rc5
- Updated patch for glut detection
- Minor spec file enhancement
- Added conditional theora support (default disabled)

* Mon Jun 21 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.28.rc5
- Updated to 1rc5

* Fri May 21 2004 Dams <anvil[AT]livna.org> - 0:1.0.0-0.lvn.0.27.rc4a
- Updated URL in Source0

* Fri May 14 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.26.rc4a
- Updated to 1rc4a

* Sat May  8 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.25.rc4
- Updated to rc4
- Added url to Source0
- Now xwinsys can be defined (default:XFree86) to fix BuildDeps
  (xorg-x11/XFree86)

* Thu Apr  8 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.24.rc3c
- Updated to rc3c

* Thu Mar 18 2004 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.23.rc3b
- Updated to rc3b

* Sun Dec 28 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.22.rc3a
- Updated to rc3a

* Wed Dec 17 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.21.rc3
- Updated to 1rc3
- Patch for glut detection in configure

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.20.rc2
- owning libdir/win32

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.lvn.0.19.rc2
- s/fdr/lvn

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.19.rc2
- Alsa now default enabled

* Sat Nov 22 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.18.rc2
- Disabled fpic (bug #19)

* Sun Oct 26 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.17.rc2
- Updated to rc2
- Replaced exclude in files section by some rm in install section

* Wed Oct 15 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.16.rc1
- Enabled fpic configure option

* Mon Oct  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.15.rc1
- Rebuild

* Mon Oct  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.14.rc1
- Enabling ipv6 support

* Mon Oct  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.13.rc1
- Updated to rc1
- Updated patch1

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.12.rc0a
- Removed comment after scriptlets
- alsa and directfb are default-disabled

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.11.rc0a
- Package is now alsa-lib and speex dependent

* Tue Aug  5 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.10.rc0a
- Updated to rc0a
- Droped Patch1
- Fixed files section

* Tue Jul 22 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.9.beta12
- Forcing automake version (1.6)
- Invoking libtoolize before autostuff
- Fixed build on severn

* Wed Jul 16 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.8.beta12
- Excluding static version of plugins

* Tue Jul 15 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.7.beta12
- exporting SED=__sed seems to fix build to rh80

* Tue Jul  8 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.6.beta12
- Applied modifs from Ville Skyttä

* Mon Jul  7 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.5.beta12
- Removed URL in Source0
- Patch for configure not to set mcpu/march

* Sun Jul  6 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.5.beta12
- Removed not needed post/postun scriplets for devel package
- Package own more directories now.
- Added Requires:pkgconfig for devel package

* Mon May 12 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.4.beta12
- Updated to beta12
- buildroot -> RPM_BUILD_ROOT
- Enabled static library building
- Exclude ".la" files in plugin directory

* Tue Apr 29 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.4.beta11
- Updated to beta11
- Added missing BuildRequires for flac-devel, bison, gettext

* Wed Apr  9 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.3.beta10
- Updated to beta10

* Fri Apr  4 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.2.beta9
- Added URL in Source0

* Wed Apr  3 2003 Dams <anvil[AT]livna.org> 0:1.0.0-0.fdr.0.1.beta9
- Initial build.
